# Idempotency

Majority of iyzico services have designed non-idempotent to ensure predictable and consistent behavior when making repeated requests.&#x20;

In the context of our APIs, developers typically utilize following parameters for an idempotent payment architecture with parameters generated either merchants or iyzico;

### Parameters Generated by Merchants

#### "conversationId" or "basketId"

Optional values that merchants generates where It helps to match request and response pairs. Most known use cases are merchant order numbers, basket numbers, transaction reconciliation.

### Parameters Generated by iyzico

#### "token"

Unique value generated for hosted payment page payment methods. Parameter "token" specially produce for each request. It is a required field to find out the result of the payment.

#### "paymentId"

The id of the payment. It is expected from merchants to save on their systems. "paymentId" is crucial for cancellation of payment and effective communication with iyzico.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/en/getting-started/preliminaries/idempotency.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
